/* ReadParm.p
 * Written by Scott Auge
 *
 */

DEF VAR RCSVersion AS CHARACTER INIT "$Header: /home/appl/srvexp/source/api/parm/RCS/ReadParm.p,v 1.2 2001/01/13 15:33:15 root Exp $" NO-UNDO.

DEF INPUT PARAMETER pApplication AS CHARACTER NO-UNDO.
DEF INPUT PARAMETER pGroupName   AS CHARACTER NO-UNDO.
DEF INPUT PARAMETER pParmName    AS CHARACTER NO-UNDO.
DEF OUTPUT PARAMETER pParmValue  AS CHARACTER NO-UNDO.
DEF OUTPUT PARAMETER pError      AS CHARACTER NO-UNDO.

{api/Error.inc}

FIND Parms NO-LOCK
WHERE Parms.Application = pApplication
  AND Parms.GroupName   = pGroupName
  AND Parms.ParmName    = pParmName
  NO-ERROR.

IF NOT AVAILABLE Parms THEN DO:

  ASSIGN pError = {&NORECORD}.
  RETURN.

END. /* No record available */

ASSIGN
pParmValue = Parms.ParmValue
pError = {&NOERROR}.

