/*
 * Removal of this header is illegal.
 * Written by Scott Auge scott_auge@yahoo.com sauge@amduus.com
 * Copyright (c) 2002 Amduus Information Works, Inc.  www.amduus.com
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 * 1. Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 * 2. Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the distribution.
 * 3. All advertising materials mentioning features or use of this software
 *    must display the following acknowledgement:
 *      This product includes software developed by Amduus Information Works
 *      Inc. and its contributors.
 * 4. Neither the name of Amduus Information Works, Inc. nor the names of 
 *    its contributors may be used to endorse or promote products derived 
 *    from this software without specific prior written permission.
 *
 * THIS SOFTWARE IS PROVIDED BY AMDUUS AND CONTRIBUTORS ``AS IS'' AND
 * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 * IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 * ARE DISCLAIMED.  IN NO EVENT SHALL THE AMDUUS OR CONTRIBUTORS BE LIABLE
 * FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
 * DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
 * OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
 * HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
 * LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
 * OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 * SUCH DAMAGE.
 *
 */

DEF VAR RCSVersion AS CHARACTER INIT "$Header: /home/appl/srvexp/srcpub/api/records/RCS/CreateSystemUser.p,v 1.1 2003/03/05 22:55:48 sauge Exp sauge $" NO-UNDO. 

{api/Error.inc}
{MakeID2.i}

DEF INPUT PARAMETER cLoginID      AS CHARACTER NO-UNDO.
DEF INPUT PARAMETER cPassword     AS CHARACTER NO-UNDO.
DEF INPUT PARAMETER cCustomerSeq  AS CHARACTER NO-UNDO.
DEF INPUT PARAMETER cPersonID     AS CHARACTER NO-UNDO.
DEF INPUT PARAMETER cType         AS CHARACTER NO-UNDO.

DEF OUTPUT PARAMETER cSystemUserID AS CHARACTER NO-UNDO.
DEF OUTPUT PARAMETER cError        AS CHARACTER NO-UNDO.

IF CAN-FIND(SystemUser WHERE SystemUser.LoginID = cLoginID AND SystemUser.Password = cPassword) THEN DO:

  ASSIGN cError = {&USEREXISTS}.
  RETURN.

END.

CREATE SystemUser.

ASSIGN SystemUser.UserSeq = MakeID2(10).

ASSIGN cSystemUserID = SystemUser.UserSeq.

ASSIGN
SystemUser.PersonID  = cPersonID
SystemUser.Type      = cType
SystemUser.LoginID   = cLoginID
SystemUser.Password  = cPassword
SystemUser.Active    = YES
SystemUser.CustomerSeq = cCustomerSeq.

ASSIGN cError = {&NOERROR}.

